Update a webhook
1 min
PUT
https://api.campaign.episerver.net/rest/{clientId}/webhooks/{webhookId}
clientIdinteger<int64>Client ID
webhookIdinteger<int64>Webhook ID
acceptstringGenerated from available response content types
basicAuthUsernamestring<p>User name for Basic HTTP Authentication. This parameter is deprecated and might be removed in the near future. Please use <authentication> instead.</p>
basicAuthPasswordstring<p>Password for Basic HTTP Authentication. This parameter is deprecated and might be removed in the near future. Please use <authentication> instead.</p>
typestring<open | click | sent | bounce | unsubscribe | spamcomplaint | singleoptin | confirmedoptin | doubleoptin | blocklist | archive | filteredbyblocklist>Event data type
formatstring<json>Data format in which the event data is to be sent
authenticationstring<p>Authentication method and attributes as json.
Current types are:</p>
<p>or</p>
<p>or</p>
targetUrlstring<p>Target URL to which the event data is to be sentNote: The URL must be accessible and able to receive data via HTTP POST requests from the IP address 193.169.180.1 at any time. Use the current HTTPS version and standard port 443 for HTTPS connections.</p>
200The webhook was updated successfully.
400The webhook "webhookId" cannot be updated
404The webhook could not be found. Ensure that the required parameters such as "webhookId" are correct and the webhook exists.
409The webhook ID is not assigned to the current client.
curl --request PUT \
--url https://api.campaign.episerver.net/rest/{clientId}/webhooks/{webhookId} \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'type=open' \
--data 'format=json' \
--data 'targetUrl=string'